<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Lqxqbean" type="cn.vp.XXX.model.LqxqBean"/> -->	
		<typeAlias alias="Lqxq" type="cn.im.lqzh.LqxqBean"/>
	
	<sql id="condition_Lqxq">
		where 1=1
		<isNotEmpty prepend='AND ' property='LIKExqbh'>
			(xqbh like concat('%',#LIKExqbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xqbh'>
			(xqbh = #xqbh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExqmc'>
			(xqmc like concat('%',#LIKExqmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xqmc'>
			(xqmc = #xqmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExqmcpy'>
			(xqmcpy like concat('%',#LIKExqmcpy# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xqmcpy'>
			(xqmcpy = #xqmcpy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExqlx'>
			(xqlx like concat('%',#LIKExqlx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xqlx'>
			(xqlx = #xqlx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsylx'>
			(sylx like concat('%',#LIKEsylx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sylx'>
			(sylx = #sylx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsfxsmc'>
			(sfxsmc like concat('%',#LIKEsfxsmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sfxsmc'>
			(sfxsmc = #sfxsmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEbmbh'>
			(bmbh like concat('%',#LIKEbmbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='bmbh'>
			(bmbh = #bmbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKElxr'>
			(lxr like concat('%',#LIKElxr# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='lxr'>
			(lxr = #lxr# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsj'>
			(sj like concat('%',#LIKEsj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sj'>
			(sj = #sj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEdh'>
			(dh like concat('%',#LIKEdh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='dh'>
			(dh = #dh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEmjrs'>
			(mjrs like concat('%',#LIKEmjrs# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='mjrs'>
			(mjrs = #mjrs# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEwjrs'>
			(wjrs like concat('%',#LIKEwjrs# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='wjrs'>
			(wjrs = #wjrs# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExjrs'>
			(xjrs like concat('%',#LIKExjrs# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xjrs'>
			(xjrs = #xjrs# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExlrs'>
			(xlrs like concat('%',#LIKExlrs# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xlrs'>
			(xlrs = #xlrs# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEqtry'>
			(qtry like concat('%',#LIKEqtry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='qtry'>
			(qtry = #qtry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExkd'>
			(xkd like concat('%',#LIKExkd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xkd'>
			(xkd = #xkd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExys'>
			(xys like concat('%',#LIKExys# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xys'>
			(xys = #xys# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEbjs'>
			(bjs like concat('%',#LIKEbjs# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='bjs'>
			(bjs = #bjs# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEztys'>
			(ztys like concat('%',#LIKEztys# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='ztys'>
			(ztys = #ztys# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEdzx'>
			(dzx like concat('%',#LIKEdzx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='dzx'>
			(dzx = #dzx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEqbj'>
			(qbj like concat('%',#LIKEqbj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='qbj'>
			(qbj = #qbj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExjh'>
			(xjh like concat('%',#LIKExjh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xjh'>
			(xjh = #xjh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEjwzbh'>
			(jwzbh like concat('%',#LIKEjwzbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='jwzbh'>
			(jwzbh = #jwzbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcjry'>
			(cjry like concat('%',#LIKEcjry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcjrq'>
			(cjrq like concat('%',#LIKEcjrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExgry'>
			(xgry like concat('%',#LIKExgry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExgrq'>
			(xgrq like concat('%',#LIKExgrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEbz'>
			(bz like concat('%',#LIKEbz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Lqxq" parameterClass="java.util.Map">
		insert into 
		lqxq(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='xqbh'>xqbh</isNotEmpty>
			<isNotEmpty prepend=',' property='xqmc'>xqmc</isNotEmpty>
			<isNotEmpty prepend=',' property='xqmcpy'>xqmcpy</isNotEmpty>
			<isNotEmpty prepend=',' property='xqlx'>xqlx</isNotEmpty>
			<isNotEmpty prepend=',' property='sylx'>sylx</isNotEmpty>
			<isNotEmpty prepend=',' property='sfxsmc'>sfxsmc</isNotEmpty>
			<isNotEmpty prepend=',' property='bmbh'>bmbh</isNotEmpty>
			<isNotEmpty prepend=',' property='lxr'>lxr</isNotEmpty>
			<isNotEmpty prepend=',' property='sj'>sj</isNotEmpty>
			<isNotEmpty prepend=',' property='dh'>dh</isNotEmpty>
			<isNotEmpty prepend=',' property='mjrs'>mjrs</isNotEmpty>
			<isNotEmpty prepend=',' property='wjrs'>wjrs</isNotEmpty>
			<isNotEmpty prepend=',' property='xjrs'>xjrs</isNotEmpty>
			<isNotEmpty prepend=',' property='xlrs'>xlrs</isNotEmpty>
			<isNotEmpty prepend=',' property='qtry'>qtry</isNotEmpty>
			<isNotEmpty prepend=',' property='xkd'>xkd</isNotEmpty>
			<isNotEmpty prepend=',' property='xys'>xys</isNotEmpty>
			<isNotEmpty prepend=',' property='bjs'>bjs</isNotEmpty>
			<isNotEmpty prepend=',' property='ztys'>ztys</isNotEmpty>
			<isNotEmpty prepend=',' property='dzx'>dzx</isNotEmpty>
			<isNotEmpty prepend=',' property='qbj'>qbj</isNotEmpty>
			<isNotEmpty prepend=',' property='xjh'>xjh</isNotEmpty>
			<isNotEmpty prepend=',' property='jwzbh'>jwzbh</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='xqbh'>#xqbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='xqmc'>#xqmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='xqmcpy'>#xqmcpy#</isNotEmpty>
			<isNotEmpty prepend=',' property='xqlx'>#xqlx#</isNotEmpty>
			<isNotEmpty prepend=',' property='sylx'>#sylx#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfxsmc'>#sfxsmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmbh'>#bmbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxr'>#lxr#</isNotEmpty>
			<isNotEmpty prepend=',' property='sj'>#sj#</isNotEmpty>
			<isNotEmpty prepend=',' property='dh'>#dh#</isNotEmpty>
			<isNotEmpty prepend=',' property='mjrs'>#mjrs#</isNotEmpty>
			<isNotEmpty prepend=',' property='wjrs'>#wjrs#</isNotEmpty>
			<isNotEmpty prepend=',' property='xjrs'>#xjrs#</isNotEmpty>
			<isNotEmpty prepend=',' property='xlrs'>#xlrs#</isNotEmpty>
			<isNotEmpty prepend=',' property='qtry'>#qtry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xkd'>#xkd#</isNotEmpty>
			<isNotEmpty prepend=',' property='xys'>#xys#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjs'>#bjs#</isNotEmpty>
			<isNotEmpty prepend=',' property='ztys'>#ztys#</isNotEmpty>
			<isNotEmpty prepend=',' property='dzx'>#dzx#</isNotEmpty>
			<isNotEmpty prepend=',' property='qbj'>#qbj#</isNotEmpty>
			<isNotEmpty prepend=',' property='xjh'>#xjh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jwzbh'>#jwzbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Lqxq" parameterClass="java.util.Map">
		update lqxq 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='xqmc'>xqmc=#xqmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='xqmcpy'>xqmcpy=#xqmcpy#</isNotEmpty>
			<isNotEmpty prepend=',' property='xqlx'>xqlx=#xqlx#</isNotEmpty>
			<isNotEmpty prepend=',' property='sylx'>sylx=#sylx#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfxsmc'>sfxsmc=#sfxsmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmbh'>bmbh=#bmbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxr'>lxr=#lxr#</isNotEmpty>
			<isNotEmpty prepend=',' property='sj'>sj=#sj#</isNotEmpty>
			<isNotEmpty prepend=',' property='dh'>dh=#dh#</isNotEmpty>
			<isNotEmpty prepend=',' property='mjrs'>mjrs=#mjrs#</isNotEmpty>
			<isNotEmpty prepend=',' property='wjrs'>wjrs=#wjrs#</isNotEmpty>
			<isNotEmpty prepend=',' property='xjrs'>xjrs=#xjrs#</isNotEmpty>
			<isNotEmpty prepend=',' property='xlrs'>xlrs=#xlrs#</isNotEmpty>
			<isNotEmpty prepend=',' property='qtry'>qtry=#qtry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xkd'>xkd=#xkd#</isNotEmpty>
			<isNotEmpty prepend=',' property='xys'>xys=#xys#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjs'>bjs=#bjs#</isNotEmpty>
			<isNotEmpty prepend=',' property='ztys'>ztys=#ztys#</isNotEmpty>
			<isNotEmpty prepend=',' property='dzx'>dzx=#dzx#</isNotEmpty>
			<isNotEmpty prepend=',' property='qbj'>qbj=#qbj#</isNotEmpty>
			<isNotEmpty prepend=',' property='xjh'>xjh=#xjh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jwzbh'>jwzbh=#jwzbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND ' property='XGTJxqbh'> xqbh = #XGTJxqbh#</isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxqmc'> xqmc = #XGTJxqmc# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxqmcpy'> xqmcpy = #XGTJxqmcpy# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxqlx'> xqlx = #XGTJxqlx# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJsylx'> sylx = #XGTJsylx# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJsfxsmc'> sfxsmc = #XGTJsfxsmc# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJbmbh'> bmbh = #XGTJbmbh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJlxr'> lxr = #XGTJlxr# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJsj'> sj = #XGTJsj# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJdh'> dh = #XGTJdh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJmjrs'> mjrs = #XGTJmjrs# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJwjrs'> wjrs = #XGTJwjrs# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxjrs'> xjrs = #XGTJxjrs# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxlrs'> xlrs = #XGTJxlrs# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJqtry'> qtry = #XGTJqtry# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxkd'> xkd = #XGTJxkd# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxys'> xys = #XGTJxys# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJbjs'> bjs = #XGTJbjs# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJztys'> ztys = #XGTJztys# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJdzx'> dzx = #XGTJdzx# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJqbj'> qbj = #XGTJqbj# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxjh'> xjh = #XGTJxjh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJjwzbh'> jwzbh = #XGTJjwzbh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJcjry'> cjry = #XGTJcjry# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJcjrq'> cjrq = #XGTJcjrq# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxgry'> xgry = #XGTJxgry# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxgrq'> xgrq = #XGTJxgrq# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Lqxq" parameterClass="java.util.Map">
		delete from lqxq 
		<include refid="condition_Lqxq"/>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Lqxq" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			xqbh,xqmc,xqmcpy,xqlx,sylx,sfxsmc,bmbh,lxr,sj,dh,mjrs,wjrs,xjrs,xlrs,qtry,xkd,xys,bjs,ztys,dzx,qbj,xjh,jwzbh,cjry,cjrq,xgry,xgrq,bz
		from lqxq 
		<include refid="condition_Lqxq"/>
		<isNotEmpty prepend=' ' property='start'>
			limit #start# ,#limit#
		</isNotEmpty>
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Lqxq" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from lqxq 
		<include refid="condition_Lqxq"/>			
	</select>
	
</sqlMap>











